Bug 241465 - science/pcmsolver: fix build on GCC architectures
Summary: science/pcmsolver: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-24 12:47 UTC by Piotr Kubaj
Modified: 2019-10-27 19:19 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (5.07 KB, patch)
2019-10-24 12:47 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-24 12:47:17 UTC
Created attachment 208565 [details]
patch

Use C++11 compiler.
Respect CC and CXX.

Include sys/types.h before including headers to make gid_t, uid_t available.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-25 04:50:35 UTC
Approved as mentor (builds on ppcports).
Comment 2 commit-hook freebsd_committer 2019-10-27 19:19:13 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 27 19:19:08 UTC 2019
New revision: 515815
URL: https://svnweb.freebsd.org/changeset/ports/515815

Log:
  science/pcmsolver: fix build on GCC architectures

  Use C++11 compiler.
  Respect CC and CXX.

  Include sys/types.h before including headers to make gid_t, uid_t available.

  PR:		241465
  Approved by:	yuri (maintainer), linimon (mentor)

Changes:
  head/science/pcmsolver/Makefile
  head/science/pcmsolver/files/patch-src_bin_run__pcm.cpp
  head/science/pcmsolver/files/patch-src_cavity_GePolCavity.cpp
  head/science/pcmsolver/files/patch-src_green_SphericalDiffuse.cpp
  head/science/pcmsolver/files/patch-src_interface_Input.cpp
  head/science/pcmsolver/files/patch-src_interface_Meddle.cpp